%define anolis_release 3
%{?python_enable_dependency_generator}

Name:           python-nocasedict
Version:        2.0.0
Release:        %{anolis_release}%{?dist}
Summary:        A case-insensitive ordered dictionary for Python
License:        LGPLv2
URL:            https://github.com/pywbem/nocasedict
Source0:        https://github.com/pywbem/nocasedict/archive/%{version}/nocasedict-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools python3-wheel
BuildArch:      noarch

%description
Class NocaseDict is a case-insensitive ordered dictionary
that preserves the original lexical case of its keys.

%package -n python3-nocasedict
Summary:        A case-insensitive ordered dictionary for Python
BuildArch:      noarch

%description -n python3-nocasedict
Class NocaseDict is a case-insensitive ordered dictionary
that preserves the original lexical case of its keys.

%package -n python3-nocasedict-doc
Summary:        Doc files for %{name}
Requires:       python3-nocasedict = %{EVR}
BuildArch:      noarch

%description -n python3-nocasedict-doc
Doc files for python3-nocasedict

%prep
%autosetup -p1 -n nocasedict-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build


%install
rm -rf %{buildroot}
env PYTHONPATH=%{buildroot}/%{python3_sitelib} \
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}/usr/bin/*.bat

%files -n python3-nocasedict
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/nocasedict/

%files -n python3-nocasedict-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.0.0-3
- Rebuild with python3.11

* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.0-2
- rebuild

* Sat Mar 25 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.0.0-1
- init from upstream
